modelscope.hub package
=========================

.. automodule:: modelscope.hub
   :members:
   :undoc-members:
   :show-inheritance:

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   modelscope.hub.utils

Submodules
----------

modelscope.hub.api module
-----------------------------

.. automodule:: modelscope.hub.api
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.hub.git module
---------------------------

.. automodule:: modelscope.hub.git
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.hub.file_download module
---------------------------

.. automodule:: modelscope.hub.file_download
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.hub.snapshot_download module
---------------------------

.. automodule:: modelscope.hub.snapshot_download
   :members:
   :undoc-members:
   :show-inheritance:
